Skip to main content
GET
/
api
/
users
/
{user_id}
Get User Route
curl --request GET \
  --url https://api.example.com/api/users/{user_id}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "username": "<string>",
  "display_name": "<string>",
  "email": "<string>",
  "is_active": true,
  "is_builtin": true,
  "must_change_pw": true,
  "created_at": "2023-11-07T05:31:56Z",
  "last_login_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://www.halite-app.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

user_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
username
string
required
display_name
string
required
email
string | null
required
is_active
boolean
required
is_builtin
boolean
required
must_change_pw
boolean
required
created_at
string<date-time>
required
last_login_at
string<date-time> | null
required